const prettier = require('gulp-prettier');
const { srcPath } = require('./const');

function check(gulp) {
    return function check() {
        return gulp.src(srcPath).pipe(prettier.check());
    };
}

function format(gulp) {
    return function format() {
        return gulp
            .src(srcPath)
            .pipe(prettier())
            .pipe(
                gulp.dest(function(file) {
                    return file.base;
                })
            );
    };
}

module.exports = {
    check,
    format,
};
